'
' Code to operate the Arduino LOL shield
' Written by Les Johnson for the Proton BASIC compiler, operating the LOL shield on the Amicus18 board
'
'
    Include "Amicus18.inc"                  ' Configure the compiler to use a PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "LOLShield.inc"                 ' Load the LOL shield routines into the program

    Dim bCounter As Byte

'---------------------------------------------------------------------------------------------------
Main:
    LOL_Cls(0)
    LOL_Pen(1)

    While                           ' Create an infinite loop
        For bCounter = 0 To 255     ' Create a counter to loop from 0 to 255
            LOL_Cursor(0, 0)        ' Position the text at 0, 0
            Print Dec2 bCounter     ' Display the count value in decimal
            DelayMS 250             ' A small delay to the count can be seen
        Next
    Wend

'---------------------------------------------------------------------------------
' Load the font used for Print
'
    Include "Font.inc"

